Skip to main content
GET
List Invoices
v1 · Base URL https://api.fintoc.com/v1

Headers

Authorization
string
default:sk_test_9c8d8CeyBTx1VcJzuDgpm4H

Fintoc Secret Key

Query Parameters

The access token of the Link that holds the Invoices to list, returned when creating said Link.

since
string<date>
default:2021-01-01

Date using <<glossary:ISO 8601>>. If present, return only Invoices with date equal or after since.

until
string<date>
default:2021-01-31

Date using <<glossary:ISO 8601>>. If present, return only Invoices with date before until (exclusive).

updated_since
string<date>
default:2021-01-01T00:00:00.000Z

Date using <<glossary:ISO 8601>>. If present, return only Invoices that have updated since updated_since (including it).

issue_type
enum<string>
default:issued

If present, return ony Invoices with the indicated issue type.

Available options:
issued,
received
invoice_status
enum<string>
default:registered

If present, return only Invoices with the indicated status.

Available options:
pending,
registered

Response

200

id
string
Example:

"inv_nMNejK7BT8oGbvO4"

object
string
Example:

"invoice"

number
string
Example:

"135"

institution_id
string
Example:

"cl_fiscal_sii"

issuer
object
receiver
any
issue_type
string
Example:

"received"

date
string
Example:

"2021-06-25T04:00:00.000Z"

total_amount
integer
default:0
Example:

12123

net_amount
integer
default:0
Example:

1231

currency
string
Example:

"CLP"

institution_invoice
object